/**
 * Copyright (c) 2015-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.objectweb.petals.tools.rmi.remote;

import java.rmi.RemoteException;

/**
 * Interface of the component context of a given RMI client.
 * 
 * @author Christophe DENEUX - Linagora
 */
public interface RemoteComponentContextClient extends RemoteComponentContext {

    public RemoteDeliveryChannel getDeliveryChannel() throws RemoteException;

    public RemoteComponentContext getComponentContext() throws RemoteException;
}
